#pragma once

#include "host_file_opener.h"



/* Support for providing access to files. */

class BlockFileOpener : public HostFileOpener
{
protected:
    /* Configurable methods. */

    virtual Accessor *make_accessor(fileid_t fileid);

public:
    explicit BlockFileOpener(Paging *paging, Pages *pages)
    : HostFileOpener(paging, pages)
    {
    }
};

// vim: tabstop=4 expandtab shiftwidth=4
